{
    "name": "speakeasy-default",
    "packageNodes": [
        {
            "nodeName": "default",
            "nodeText": "I think we can come to an agreement. Perhaps 50 bucks?",
            "responses": [
                {
                    "responseSay": "50? Is that all you cheap bastard? ",
                    "leadingNode": "angry",
                    "executeCode": "",
                    "requirement": "questToken one|questToken two"
                },
                {
                    "responseSay": "That is a reasonable amount of dollars.",
                    "leadingNode": "happy",
                    "executeCode": "",
                    "requirement": ""
                },
                {
                    "responseSay": "That's too many. What would I do with so many dollars!?",
                    "leadingNode": "angry",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "angry",
            "nodeText": "Fuck you man, you don't know dick!",
            "responses": [
                {
                    "responseSay": "Woah, lets go back to what you were saying",
                    "leadingNode": "default",
                    "executeCode": "",
                    "requirement": ""
                },
                {
                    "responseSay": "Hey now, lets find something to make you happy...",
                    "leadingNode": "happy",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "happy",
            "nodeText": "Oh yeah, I thought you would be that easy.",
            "responses": [
                {
                    "responseSay": "I sure am. But how many is it again?",
                    "leadingNode": "default",
                    "executeCode": "",
                    "requirement": ""
                },
                {
                    "responseSay": "Well fuck you too buddy!",
                    "leadingNode": "angry",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "bouncer-D",
            "nodeText": "All the nieghbors know, so you don't need to be as quiet as usuall.",
            "responses": [
                {
                    "responseSay": "Thank you.",
                    "leadingNode": "GOODBYE",
                    "executeCode": "questToken add playerNice",
                    "requirement": ""
                },
                {
                    "responseSay": "Be quicker on the door next time! It was raining out there.",
                    "leadingNode": "GOODBYE",
                    "executeCode": "questToken add playerAsshole",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "red-D",
            "nodeText": "Hey stranger. I have not seen you before, do you plan on coming around more?",
            "responses": [
                {
                    "responseSay": "Oh, no. I am just passing through.",
                    "leadingNode": "red-goodbye-sad",
                    "executeCode": "",
                    "requirement": ""
                },
                {
                    "responseSay": "Oh yeah, it will be like my second home.",
                    "leadingNode": "red-goodbye-sexy",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "red-goodbye-sad",
            "nodeText": "Oh, how unfortunate.",
            "responses": [
                {
                    "responseSay": "Goodbye",
                    "leadingNode": "GOODBYE",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "red-goodbye-sexy",
            "nodeText": "Oh? Well in that case maybe you should buy me a drink?",
            "responses": [
                {
                    "responseSay": "Not tonight.",
                    "leadingNode": "GOODBYE",
                    "executeCode": "questToken add redSad",
                    "requirement": ""
                },
                {
                    "responseSay": "Sure. Let me go talk to the bartender.",
                    "leadingNode": "GOODBYE",
                    "executeCode": "questToken add redHappy",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "nothingToSay",
            "nodeText": "I don't want to talk",
            "responses": [
                {
                    "responseSay": "Oh, sorry.",
                    "leadingNode": "GOODBYE",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "barkeep-D",
            "nodeText": "Good day. It's $5 a shot, and $15 for a cocktail.",
            "responses": [
                {
                    "responseSay": "May I have a shot?",
                    "leadingNode": "barkeep-shot",
                    "executeCode": "questToken add drink-Shot",
                    "requirement": ""
                },
                {
                    "responseSay": "A cocktail sounds great.",
                    "leadingNode": "barkeep-cocktail",
                    "executeCode": "questToken add drink-Cocktail",
                    "requirement": ""
                },
                {
                    "responseSay": "I don't think ill have anything right now. Thank you.",
                    "leadingNode": "GOODBYE",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "barkeep-shot",
            "nodeText": "Here you are. Have a good day.",
            "responses": [
                {
                    "responseSay": "Thank you.",
                    "leadingNode": "GOODBYE",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "barkeep-cocktail",
            "nodeText": "Here you are. Instead of ice I used frozen fruit, for an extra kick of flavor in the end.",
            "responses": [
                {
                    "responseSay": "This looks delicious, thanks!",
                    "leadingNode": "GOODBYE",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "zach-D",
            "nodeText": "Me and the bartender go way back. ",
            "responses": [
                {
                    "responseSay": "Dandy.",
                    "leadingNode": "GOODBYE",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "peyton-D",
            "nodeText": "I love coming here to listen to the music. Normally they don't let people stay unless they buy a drink, but they never seem to notice me.",
            "responses": [
                {
                    "responseSay": "I'll leave you to the music then.",
                    "leadingNode": "GOODBYE",
                    "executeCode": "",
                    "requirement": ""
                },
                {
                    "responseSay": "They only let you in here to lure men in.",
                    "leadingNode": "GOODBYE",
                    "executeCode": "",
                    "requirement": "questToken playerAsshole"
                }
            ]
        },
        {
            "nodeName": "greg-D",
            "nodeText": "Money can be exchanged for goods and services.",
            "responses": [
                {
                    "responseSay": "HOLY FUCKING SHIT!",
                    "leadingNode": "GOODBYE",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "eric-D",
            "nodeText": "She is gone...",
            "responses": [
                {
                    "responseSay": "Who?",
                    "leadingNode": "eric-D",
                    "executeCode": "",
                    "requirement": ""
                },
                {
                    "responseSay": "I think I'll let you be.",
                    "leadingNode": "GOODBYE",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        },
        {
            "nodeName": "sarah-D",
            "nodeText": "She continues dancing, not even opening her eyes.",
            "responses": [
                {
                    "responseSay": "Leave her be.",
                    "leadingNode": "GOODBYE",
                    "executeCode": "",
                    "requirement": ""
                }
            ]
        }
    ]
}
